	$(document).ready(function (){

		//Estat inicial...
		if(!hasSakaiSession())
			$('#formLogin').show();
		else
			$('.log').text("Ja teniu una sessió activa al campus.");


		//Events per als botons de l'aplicació...
		$('#newSession').click(function(){
			if(!hasSakaiSession())
				newSakaiSession($('.log'), $('#eid').val(),$('#pw').val());
		});

		$('#checkSession').click(function(){
			if(hasSakaiSession() == true)
				$('.log').text("La sessió continua activa");
			else
				$('.log').text("No teniu cap sessió activa.");
		});

		$('#destroySession').click(function(){
			var sessionId = getSakaiSessionId();
			if(sessionId != null)
				destroySakaiSession($('.log'), sessionId);
			else
				$('.log').text("No teniu cap sessió activa per sortir.");
			$('#formLogin').show();
			$('#botons').hide();
		});
	});


	function newSakaiSession($selectorStatus, login, pwd) {
		
		var urlNewSession = "/direct/session/new";
		$.ajax({
		    type: "POST",
		    url: urlNewSession,
		    async: true,
			cache: false,
			data: { _username: login, _password: pwd },
		    success:function (){ $selectorStatus.text("Heu iniciat la sessió."); $('#formLogin').hide(); $('#botons').show();},
			error:function (xhr, ajaxOptions, thrownError){
				$selectorStatus.text("Error: no s'ha pogut iniciar la sessió. Comproveu que el vostre nom d'usuari i paraula clau siguin correctes.");
		    }
		 });
	}

	function hasSakaiSession(){

		var urlCheckSession = "/direct/user/current.json";
		var result = false;

		$.ajax({
		    type: "GET",
		    url: urlCheckSession,
		    async: false,
			cache: false,
		    success: function (data){
				if(data.eid != null) 
					result = true;
			}
		});
		return result;
	}

	function getSakaiSessionId(){

		var urlCheckSession = "/direct/session/current.json";
		var result = null;

		$.ajax({
		    type: "GET",
		    url: urlCheckSession,
		    async: false,
			cache: false,
		    success: function (data){
				if(data.id != null) 
					result = data.id;
			}
		});
		return result;
	}

	function destroySakaiSession($selectorStatus, sessionId){

		$.ajax({
	        type: "DELETE",
	        url: "/direct/session/" + sessionId,
	        async: true,
			cache: false,
			data: {'entityId': sessionId},
	        success: function (){ $selectorStatus.text("Heu sortit de la sessió."); },
			error:function (xhr, ajaxOptions, thrownError){
				$selectorStatus.text("Error en sortir de la sessió.");
	        }
	     });
	}

